Get Notification Preferences
GET
/api/v1/notifications/preferences
const url = 'https://api.ultimateteam.ai/api/v1/notifications/preferences';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/notifications/preferences \ --header 'X-API-Key: <X-API-Key>'Get the current user’s notification preferences.
Returns defaults if no preferences have been saved yet.
Args: user: The authenticated user context.
Returns: The user’s notification preferences.
Authorizations
Section titled “Authorizations”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
NotificationPreferencesResponse
Response body for notification preferences.
Attributes: approval_requests: Whether to receive approval request notifications. agent_alerts: Whether to receive critical agent alert notifications. daily_brief: Whether to receive daily brief availability notifications. quiet_hours_start: Hour (0-23) when quiet hours begin. quiet_hours_end: Hour (0-23) when quiet hours end. timezone: IANA timezone string for quiet hours calculation.
object
agent_alerts
required
Agent Alerts
boolean
approval_requests
required
Approval Requests
boolean
daily_brief
required
Daily Brief
boolean
proactive_insights
required
Proactive Insights
boolean
quiet_hours_end
required
Quiet Hours End
integer
quiet_hours_start
required
Quiet Hours Start
integer
timezone
required
Timezone
string
Examplegenerated
{ "agent_alerts": true, "approval_requests": true, "daily_brief": true, "proactive_insights": true, "quiet_hours_end": 1, "quiet_hours_start": 1, "timezone": "example"}